class BatchNorm2d(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = ["running_mean", "running_var", "num_batches_tracked", "scale", "zero_point", ]
  weight : Tensor
  bias : Tensor
  running_mean : Tensor
  running_var : Tensor
  num_batches_tracked : Tensor
  scale : Tensor
  zero_point : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.torch.nn.quantized.modules.batchnorm.BatchNorm2d,
    argument_1: Tensor) -> Tensor:
    running_var = self.running_var
    running_mean = self.running_mean
    bias = self.bias
    weight = self.weight
    input = ops.quantized.batch_norm2d(argument_1, weight, bias, running_mean, running_var, 1.0000000000000001e-05, 1., 0)
    return input
class BatchNorm3d(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = ["running_mean", "running_var", "num_batches_tracked", "scale", "zero_point", ]
  weight : Tensor
  bias : Tensor
  running_mean : Tensor
  running_var : Tensor
  num_batches_tracked : Tensor
  scale : Tensor
  zero_point : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.torch.nn.quantized.modules.batchnorm.BatchNorm3d,
    argument_1: Tensor) -> Tensor:
    running_var = self.running_var
    running_mean = self.running_mean
    bias = self.bias
    weight = self.weight
    input = ops.quantized.batch_norm3d(argument_1, weight, bias, running_mean, running_var, 1.0000000000000001e-05, 1., 0)
    return input
