class Quantize(Module):
  __parameters__ = []
  __buffers__ = ["scale", "zero_point", ]
  scale : Tensor
  zero_point : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.torch.nn.quantized.modules.Quantize) -> Tensor:
    input = torch.quantize_per_tensor(CONSTANTS.c0, 1., 0, 13)
    return input
  def forward1(self: __torch__.torch.nn.quantized.modules.Quantize) -> Tensor:
    input = torch.quantize_per_tensor(CONSTANTS.c1, 1., 0, 13)
    return input
  def forward2(self: __torch__.torch.nn.quantized.modules.Quantize) -> Tensor:
    input = torch.quantize_per_tensor(CONSTANTS.c2, 1., 0, 13)
    return input
class DeQuantize(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.torch.nn.quantized.modules.DeQuantize,
    argument_1: Tensor) -> Tensor:
    return torch.dequantize(argument_1)
  def forward1(self: __torch__.torch.nn.quantized.modules.DeQuantize,
    argument_1: Tensor) -> Tensor:
    return torch.dequantize(argument_1)
  def forward2(self: __torch__.torch.nn.quantized.modules.DeQuantize,
    argument_1: Tensor) -> Tensor:
    return torch.dequantize(argument_1)
